kdenlive + debian lenny + kde4.debian.net

Lenny users can now install kde 4 without the need of switching to unstable/experimental.

Can the same thing be done with kdenlive?

No, you need SID (unstable) as FFmpeg is updated nearly on a weekly based.

and being on the ffmpeg bleeding edge is always needed?

i mean, at a certain point this weekly update of the ffmpeg dependencies should stop otherwise kdenlive will be always restricted to the unstable branch.